KNOTD(8)

NAME
knotd - Knot DNS server daemon

SYNOPSIS

knotd [parameters]

DESCRIPTION

  Parameters

-c, --config file
    Use a textual configuration file (default is @config_dir@/knot.conf).

-C, --confdb directory
    Use a binary configuration database directory (default is @storage_dir@/confdb). The default configuration database, if exists, has a preference to the default configuration file.

-s, --socket path
    Use a remote control UNIX socket path (default is @run_dir@/knot.sock).

-d, --daemonize [directory]
    Run the server as a daemon. New root directory may be specified (default is /).

-v, --verbose
    Enable debug output.

-h, --help
    Print the program help.

-V, --version
    Print the program version.

SEE ALSO

knot.conf(5), knotc(8), keymgr(8), kjournalprint(1).

AUTHOR
CZ.NIC Labs <http://www.knot-dns.cz>

COPYRIGHT
Copyright 2010–2018, CZ.NIC, z.s.p.o.